SSL_GET_CLIENT_CA_LIST(3)

NAME
SSL_get_client_CA_list, SSL_CTX_get_client_CA_list - get list of client CAs

SYNOPSIS
#include <openssl/ssl.h>
STACK_OF(X509_NAME) *
SSL_get_client_CA_list(const SSL *s);
STACK_OF(X509_NAME) *
SSL_CTX_get_client_CA_list(const SSL_CTX *ctx);

DESCRIPTION
SSL_CTX_get_client_CA_list() returns the list of client CAs explicitly set for ctx using SSL_CTX_set_client_CA_list(3).

SSL_get_client_CA_list() returns the list of client CAs explicitly set for ssl using SSL_set_client_CA_list() or ssl's SSL_CTX object with SSL_CTX_set_client_CA_list(3), when in server mode. In client mode, SSL_get_client_CA_list() returns the list of client CAs sent from the server, if any.

SEE ALSO
ssl(3), SSL_CTX_set_client_CA_list(3), SSL_CTX_set_client_cert_cb(3), X509_NAME_new(3)

HISTORY
SSL_get_client_CA_list() and SSL_CTX_get_client_CA_list() first appeared in SSLeay 0.8.0 and have been available since OpenBSD 2.4.